Subject: bug#4982 closed by Juri Linkov <[email-masked]> (Re: bug#4982: rgrep can't deal with .gz files)

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 25 Nov 2009 17:40:11 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4982: rgrep can't deal with .gz files

It has been closed by Juri Linkov <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Juri Linkov <[email-masked]> by
replying to this email.

-- 
4982: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4982
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4982: rgrep can't deal with .gz files
From: Juri Linkov <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 25 Nov 2009 19:28:14 +0200

>> By the way, some ugliness now that I set grep-command to zgrep:
>>
>> gzip: stdout: Broken pipe
>> ./libchewing3-data_0.3.0-2_i386.deb:Binary file (standard input) matches
>>
>> gzip: stdout: Broken pipe
>> ./Nokia_3315_APAC_UG_En.pdf:Binary file (standard input) matches
>
> Yes, zgrep incorrectly processes non-gzipped files.  To search
> recursively in gzipped files, I created a new command `zrgrep'.
> It works like `rgrep' but uses `zgrep' for `grep-program', sets the default
> file name to `*.gz', and sets `grep-highlight-matches' to `always'."

I installed a new command `zrgrep' to search recursively in gzipped files.

-- 
Juri Linkov
http://www.jurta.org/emacs/

Subject: rgrep can't deal with .gz files
From: [email-masked]
To: [email-masked]
Date: Fri, 20 Nov 2009 09:42:45 +0800

rgrep should be enhanced so if it encounters .gz files it knows what to do.